## org.eclipse.emf.validation.service
Class IValidator.Option<V>

    java.lang.Object
      org.eclipse.emf.validation.service.IValidator.Option<V>

Type Parameters:
  `V` - the option's value type

Enclosing interface:
  IValidator<T>

    public static class IValidator.Option<V>

extends Object

The definition of a validator option.

Since:
  1.3

Constructor Summary
`protected` `IValidator.Option(V defaultValue)` Initializes me with a static default value.

Method Summary
`V` `defaultValue(IValidator<?> validator)` Queries my default value for the specified validator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IValidator.Option

    protected IValidator.Option(V defaultValue)

  Initializes me with a static default value.

  Parameters:
    `defaultValue` - my default value

Method Detail

### defaultValue

    public V defaultValue(IValidator<?> validator)

  Queries my default value for the specified validator. This allows the actual default value to be computed, based on the validator.

  Parameters:
    `validator` - the validator for which to query the default option vale. Must not be `null`
  Returns:
    the default value for the given validator

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.